import { z } from "zod";

export const createProductRequestSchema = z.object({
  body: z.object({
    name: z.string().min(1).max(255),
    description: z.string().optional(),
    price: z.number().positive(),
  }),
});

export const getProductsRequestSchema = z.object({
  query: z.object({
    name: z.string().optional(),
    description: z.string().optional(),
    minPrice: z.coerce.number().positive().optional(),
    maxPrice: z.coerce.number().positive().optional(),
  }),
});

export const getProductRequestSchema = z.object({
  params: z.object({
    id: z.coerce.number().positive(),
  }),
});

export const deleteProductRequestSchema = z.object({
  params: z.object({
    id: z.coerce.number().positive(),
  }),
});
